Log::Dispatch::File(3)

NAME
Log::Dispatch::File - Object for logging to files

VERSION
version 2.32

SYNOPSIS
  use Log::Dispatch;

  my $log = Log::Dispatch->new(
      outputs => [
          [
              'File',
              min_level => 'info',
              filename  => 'Somefile.log',
              mode      => '>>',
              newline   => 1
          ]
      ],
  );

  $log->emerg("I've fallen and I can't get up");

DESCRIPTION
This module provides a simple object for logging to files under the Log::Dispatch::* system.

Note that a newline will not be added automatically at the end of a message by default. To do that, pass "newline => 1".

CONSTRUCTOR
The constructor takes the following parameters in addition to the standard parameters documented in Log::Dispatch::Output:

•   filename ($)

    The filename to be opened for writing.

•   mode ($)

    The mode the file should be opened with. Valid options are 'write', '>', 'append', '>>', or the relevant constants from Fcntl. The default is 'write'.

•   binmode ($)

    A layer name to be passed to binmode, like ":encoding(UTF-8)" or ":raw".

•   close_after_write ($)

    Whether or not the file should be closed after each write. This defaults to false.

    If this is true, then the mode will aways be append, so that the file is not re-written for each new message.

•   autoflush ($)

    Whether or not the file should be autoflushed. This defaults to true.

•   permissions ($)

    If the file does not already exist, the permissions that it should be created with. Optional. The argument passed must be a valid octal value, such as 0600 or the constants available from Fcntl, like S_IRUSR|S_IWUSR.

    See "chmod" in perlfunc for more on potential traps when passing octal values around. Most importantly, remember that if you pass a string that looks like an octal value, like this:

     my $mode = '0644';

    Then the resulting file will end up with permissions like this:

     --w----r-T

    which is probably not what you want.

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2011 by Dave Rolsky.

This is free software, licensed under:

  The Artistic License 2.0 (GPL Compatible)